# Uses of Class
org.opensaml.saml.saml1.binding.artifact.SAML1ArtifactType0002

Packages that use SAML1ArtifactType0002
Package
Description
org.opensaml.saml.saml1.binding.artifact
Classes that may be used to create and manipulate SAML 1 artifacts.

## Uses of SAML1ArtifactType0002 in org.opensaml.saml.saml1.binding.artifact

Methods in org.opensaml.saml.saml1.binding.artifact that return SAML1ArtifactType0002
Modifier and Type
Method
Description
`SAML1ArtifactType0002`
SAML1ArtifactType0002Builder.`buildArtifact(byte[] artifact)`
Builds a populated artifact given the artifact's byte-array representation.
`SAML1ArtifactType0002`
SAML1ArtifactType0002Builder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`static SAML1ArtifactType0002`
SAML1ArtifactType0002.`parseArtifact(byte[] artifact)`
Constructs a SAML 1 artifact from its byte representation.